import { Server } from '../../entities/server.entity';

export interface ServerRepositoryPort {
  findById(id: string): Promise<Server | null>;
  findAll(): Promise<Server[]>;
  findByEnvironment(environment: string): Promise<Server[]>;
  save(server: Server): Promise<Server>;
  delete(id: string): Promise<void>;
}
